
:root {
  --brandColor: hsla(25, 65%, 50%, 1);
  --brandSecondary: hsla(25, 95%, 50%, 1);
  --brandHighlight: hsla(55, 85%, 100%, 1);
  --textColor: hsla(55, 10%, 100%, 1);
  /* sadly, css property isn't working entirely well -- the media query doesn't fire, and the grid minmax doesn't work */
  /*   --xs-small-width: 450px; */
}

body {
  font-family: sans-serif;
  font-size: 1.1em;
  margin: 10px;
  padding: 0;
}


a,
a:visited,
a:hover,
a:active {
  text-decoration: none;
  color: var(--textColor);
}
a:hover {
  text-decoration: underline;
}

.box {
  border: 1px solid var(--brandHighlight);
  border-radius: 3px;
  padding: 0 10px;
}

.indented {
  width: 80%;
}


/* Grid layout */

.grid {
  display: grid;
  height: calc(100vh - 20px);
  width: calc(100vw - 20px);
  grid-template-columns: repeat(auto-fit, minmax(calc(450 / 3), 1fr));
  grid-template-rows: 80px 1fr;
  grid-template-areas:
    "....... header       header"
      "sidebar content      content";
  grid-gap: 5px;
}
@media screen and (min-width: 1100px) {
  /* make sure it's not too wide to be readable */
  .grid {
    width: 1100px;
    max-width: 1100px;
    margin: auto;
  }
}



.header {
  grid-area: header;
  background-color: var(--brandColor);
  color: var(--textColor);
}

.sidebar {
  grid-area: sidebar;
  background-color: var(--brandSecondary);
  color: var(--textColor);
  min-width: 150px;
  display: none;          /* disappears on small screens, e.g. phones */
}

@media only screen and (min-width: 450px) {
  .sidebar {
    display: block;       /* appears on screens bigger than a phone */
  }
}

.announcement {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--brandSecondary);
  color: var(--textColor);
  margin: 10px 0;
  padding: 0 10px;
}

.content {
  grid-area: content;
  overflow: auto;
  background-color: var(--brandColor);
  color: var(--textColor);
}

.poster {
  max-width: 150px;
  padding: 10px;
}

.horiz_nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.horiz_nav > * {
  margin: 0 20px 0 0;
  padding: 0 10px;
}
img.logo {
  width: 80px;
  height: 80px;
  margin-top: -5px;
  border-radius: 50%;
}

.vert_nav {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: left;
  margin: 10px 0 0 10px;
}

.hero img {
  max-width: 100%;
  min-width: 100%;
  margin: 2px;
}

@media screen and (min-width: 450px) {
  .spin {
    animation-name: spin;
    animation-duration: 4000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
  }
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
